%% YOU 'CAN' EDIT THIS FILE
%% lumping matrix is generated here to simplify the model by merging some of the states together...
% as shown in the lumping matrix

% To perform model simplification, you simply need to play around here by changing the 'M matrix' and donot...
% change anything else anywhere else in any file

% This is an Identity matrix of the original PBPK model in human
% Whenever your lumping matrix ('M' matrix) is an identity matrix then it will return your...
% original 'K' matrix (in this case K_hat = K). You can try this matrix to check whether or not you get exactly same profiles 

%% To comment and uncomment items
% To remove the comment symbol '%' from the beginning of a line, click on a line or lines and press
% [CTRL] + [t]
%
% To comment out a line or lines, click on the line then press [CTRL] + [r]

%% This is the identity matrix so provides the original model solution

M = [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0    % Venous blood
     0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0    % Arterial blood  
     0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0    % Brain
     0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0    % Heart
     0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0    % Kidney
     0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0    % Liver
     0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0    % Muscle
     0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0    % Skin
     0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0    % Fat
     0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0    % Carcass
     0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0    % Gut 1
     0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0    % Gut 2
     0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0    % Gut 3
     0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0    % pancreas 1
     0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0    % Pancreas 2
     0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1];  % Hapatic artery

%% This matrix combines skin and fat tissues
%  M = [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0    % Venous blood
%      0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0    % Arterial blood  
%      0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0    % Brain
%      0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0    % Heart
%      0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0    % Kidney
%      0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0    % Liver
%      0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0    % Muscle
%      0 0 0 0 0 0 0 1 1 0 0 0 0 0 0 0    % Skin & fat  <--note 2 1's on this row indicating lumping
%      0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0    % Carcass
%      0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0    % Gut 1
%      0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0    % Gut 2
%      0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0    % Gut 3
%      0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0    % pancreas 1
%      0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0    % Pancreas 2
%      0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1];  % Hapatic artery

 %% This provides the simplest model that has an acceptable prediction profile for plasma
% M = [1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0     % Venous blood state was unlumped
%      0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0     % Arterial blood state was unlumped
%      0 0 1 1 0 1 0 1 0 0 1 1 1 1 1 1     % Brain and heart, Liver, Skin, all three states/compartments of gut and two states of spleen and hepatic tissue were lumped here
%      0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0     % Kidney was kept unlumped
%      0 0 0 0 0 0 1 0 1 1 0 0 0 0 0 0];   % All peripheral tissues with closer partion coefficients are lumped as one single statend pancrease were lumped together as one state
 
 