%% Matrix exponential solution to the linear ODES
%% DO NOT EDIT THIS FILE
%
%

function A = ME_solution(K,IC,TT)  

% for liner ODEs: dy/dt=K*y --> transformed into matrix exponential: dy/dt=exp(t*K)*y(0)

% matrix exponential solution requires eigenvalues and eigenvectors of rate constant matrix 
[P_m,Lam_m]=eig(K);

% eigenvalue/eigenvector decomposition for each state individually
q_m=inv(P_m)*IC;
R_m = zeros(length(q_m),length(TT));
for j_m=1:length(q_m)
    R_m(j_m,:)=exp(Lam_m(j_m,j_m)*TT)*q_m(j_m);
end

% obtain matrix of amounts in all cpts: row for cpt number, column for time point
A = P_m*R_m; 

